Əsas səhifə > Linux, PHP/Python > Installing Python 2.7.x and 3.3.x on CentOS 6.4

Installing Python 2.7.x and 3.3.x on CentOS 6.4

2 versiya Python istifadə etməyimiz üçün onları ayrı-ayrı qurmaq lazımdır.
Ardıcıllıqla:

[root@localhost ~]# yum install gcc make
.
.
Installed:
  gcc.x86_64 0:4.4.7-3.el6                                                      

Dependency Installed:
  cloog-ppl.x86_64 0:0.15.7-1.2.el6                                             
  cpp.x86_64 0:4.4.7-3.el6                                                      
  glibc-devel.x86_64 0:2.12-1.107.el6_4.2                                       
  glibc-headers.x86_64 0:2.12-1.107.el6_4.2                                     
  kernel-headers.x86_64 0:2.6.32-358.14.1.el6                                   
  mpfr.x86_64 0:2.4.1-6.el6                                                     
  ppl.x86_64 0:0.10.2-11.el6                                                    

Complete!

Python-nun istədiyimiz versiyasını download edirik. İlk öncə 2.7 versiyanın qurulumu:

[root@localhost Downloads]# cd Python-2.7.5
[root@localhost Python-2.7.5]# ls
config.guess  Doc         LICENSE          Objects        Python
config.sub    Grammar     Mac              Parser         README
configure     Include     Makefile.pre.in  PC             RISCOS
configure.ac  install-sh  Misc             PCbuild        setup.py
Demo          Lib         Modules          pyconfig.h.in  Tools

[root@localhost Python-2.7.5]# ./configure
.
.
creating Modules/Setup
creating Modules/Setup.local
creating Makefile

[root@localhost Python-2.7.5]# make
[root@localhost Python-2.7.5]# make install

Və yoxlayaq:

[root@localhost ~]# python
Python 2.7.5 (default, Aug 15 2013, 21:36:59) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-3)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> exit()

Python 3.3 versiya üçün:

[root@localhost Python-3.3.2]# ./configure
[root@localhost Python-3.3.2]# make
.
.
gcc -pthread   -Xlinker -export-dynamic -o Modules/_testembed Modules/_testembed.o libpython3.3m.a -lpthread -ldl  -lutil   -lm

[root@localhost Python-3.3.2]# make install

Və yoxlayaq:

[root@localhost ~]# python3
Python 3.3.2 (default, Aug 15 2013, 21:57:56) 
[GCC 4.4.7 20120313 (Red Hat 4.4.7-3)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> 

Təbriklər😉

Kateqoriyalar: Linux, PHP/Python Etiketlər:
  1. Avqust 14, 2013 tarixində, saat 17:16

    çoxsağol gözəl article olmuş təşəkkürlər

  1. No trackbacks yet.

Bir cavab yazın

Sistemə daxil olmaq üçün məlumatlarınızı daxil edin və ya ikonlardan birinə tıklayın:

WordPress.com Loqosu

WordPress.com hesabınızdan istifadə edərək şərh edirsinz. Çıxış / Dəyişdir )

Twitter rəsmi

Twitter hesabınızdan istifadə edərək şərh edirsinz. Çıxış / Dəyişdir )

Facebook fotosu

Facebook hesabınızdan istifadə edərək şərh edirsinz. Çıxış / Dəyişdir )

Google+ foto

Google+ hesabınızdan istifadə edərək şərh edirsinz. Çıxış / Dəyişdir )

%s qoşulma

%d bloqqer bunu bəyənir: